Ruby - Misc #14581

Update JSON docs
03/06/2018 09:14 PM - zverok (Victor Shepelev)

Status: Third Party's Issue
Priority: Normal
Assignee:

Description

What is here:

e adding docs for (questionable, yet present) "additions" feature;

¢ cleaning up (both formatting and formulations) docs of JSON.generate: current docs are poorly formatted and its documentation
shifted more towards (internal) State object than just options;

¢ some other style/formatting cleanups.

History

#1 - 03/06/2018 09:19 PM - zverok (Victor Shepelev)

- Description updated

#2 - 03/07/2018 09:41 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Third Party's Issue

Can you submit an upstream repository first?

https://github.com/flori/json

#3 - 03/07/2018 09:52 AM - zverok (Victor Shepelev)
@hsbt (Hiroshi SHIBATA) Ah, OK. I've tried to find the "upstream" version but failed to do so. Thanks for pointing it out.

#4 - 03/07/2018 10:16 AM - zverok (Victor Shepelev)
@hsbt (Hiroshi SHIBATA) BTW, what's the maintenance status of the upstream? Currently, | can see there:

e the last PR is merged in October, last before that in Jun, last before that in spring, there are several uncommented PRs (including ones with
serious performance improvements, or security issue discussion/PR open for 3 years in a row)

e there are a lot of unaddressed issues, and of closed ones, the last that was touched by repo owner was just silent closing (of irrelevant ones?) in
April

| was thinking about doing several PRs to clean up the legacy parts of the library & docs, but now | am not sure if there would be anybody on the
receiving end of those PRs.

#5 - 03/07/2018 10:36 AM - zverok (Victor Shepelev)
(In addition, as far as | understand, there is some discrepancy between "standalone" json and in-Ruby json: the latter does not include "pure" part of

JSON library, virtually rendering half of its code and docs false.)

#6 - 03/07/2018 11:42 AM - hsbt (Hiroshi SHIBATA)

what's the maintenance status of the upstream?

It's active.

#7 - 11/20/2019 05:00 AM - zverok (Victor Shepelev)
@hsbt (Hiroshi SHIBATA)

what's the maintenance status of the upstream?

It's active.
https://github.com/flori/json
https://redmine.ruby-lang.org/users/572
https://redmine.ruby-lang.org/users/572
https://github.com/flori/json/pull/235
https://redmine.ruby-lang.org/users/572

| just noticed my documentation patches #349 and #347 and clarification request #348 are pending since March 2018, e.g. for 1.5 years already. Is
there something that can be done to unfreeze them?..

Files
json-docs.patch

5.67 KB 03/06/2018 zverok (Victor Shepelev)

06/17/2025 22


https://github.com/flori/json/pull/349
https://github.com/flori/json/pull/347
https://github.com/flori/json/issues/348
http://www.tcpdf.org

